Skip to main content

college_softball — NCAA additional

3 endpoints on sdv.college_softball. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).

espnCollegeSoftballRankings

COLLEGE_SOFTBALL — rankings (ESPN site.api.espn.com).

Endpoint URL: GET https://site.api.espn.com/apis/site/v2/sports/baseball/college-softball/rankings

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.college_softball.espnCollegeSoftballRankings({});
// snake_case alias (py/R parity): sdv.college_softball.espn_college_softball_rankings(...)

espnCollegeSoftballSeasonRecruits

COLLEGE_SOFTBALL — season recruits (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/baseball/leagues/college-softball/seasons/{season}/recruits

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 100)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.college_softball.espnCollegeSoftballSeasonRecruits({ season: '…' });
// snake_case alias (py/R parity): sdv.college_softball.espn_college_softball_season_recruits(...)

espnCollegeSoftballSeasonWeekRankings

COLLEGE_SOFTBALL — season week rankings (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/baseball/leagues/college-softball/seasons/{season}/types/{season_type}/weeks/{week}/rankings

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{week}weekyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.college_softball.espnCollegeSoftballSeasonWeekRankings({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.college_softball.espn_college_softball_season_week_rankings(...)